- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates an existing ad group. Returns the updated ad group if successful.
This method is only supported for Demand Gen ad groups.
HTTP request
PATCH https://displayvideo.googleapis.com/v4/advertisers/{adGroup.advertiserId}/adGroups/{adGroup.adGroupId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
adGroup.advertiserId |
Output only. The unique ID of the advertiser the ad group belongs to. |
adGroup.adGroupId |
Output only. The unique ID of the ad group. Assigned by the system. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of AdGroup.
Response body
If successful, the response body contains an instance of AdGroup.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.